#ifndef _SYSLIB_CTYPE_H
#define _SYSLIB_CTYPE_H

#define _U 1			/* upper case flag */
#define _L 2			/* lower case flag */
#define _N 4			/* number flag */
#define _S 8			/* space flag */
#define _P 16			/* punctuation flag */
#define _C 32			/* control character flag */
#define _B 64			/* blank flag */
#define _X 128			/* hexadecimal flag */

extern char * _ctype;	/* pointer to character type table */
extern char * _cupper;	/* pointer to table for conversion to upper case */
extern char * _clower;	/* pointer to table for conversion to lower case */

int isalpha(char);
#define isalpha(c)		(_ctype[(unsigned char)(c)] & (_U|_L))
int isupper(char);
#define isupper(c)		(_ctype[(unsigned char)(c)] & _U)
int islower(char);
#define islower(c)		(_ctype[(unsigned char)(c)] & _L)
int isdigit(char);
#define isdigit(c)		(_ctype[(unsigned char)(c)] & _N)
int isxdigit(char);
#define isxdigit(c) 	(_ctype[(unsigned char)(c)] & _X)
int isspace(char);
#define isspace(c)		(_ctype[(unsigned char)(c)] & _S)
int ispunct(char);
#define ispunct(c)		(_ctype[(unsigned char)(c)] & _P)
int isalnum(char);
#define isalnum(c)		(_ctype[(unsigned char)(c)] & (_U|_L|_N))
int isprint(char);
#define isprint(c)		(_ctype[(unsigned char)(c)] & (_P|_U|_L|_N|_B))
int iscntrl(char);
#define iscntrl(c)		(_ctype[(unsigned char)(c)] & _C)

char tolower(char);
#define tolower(c)		(_clower[(unsigned char)(c)])
char toupper(char);
#define toupper(c)		(_cupper[(unsigned char)(c)])

#endif	_SYSLIB_CTYPE_H
