#ifndef _SYSLIB_MATH_H
#define _SYSLIB_MATH_H

/*
	Standard header file for PROGS SMS C library

	math handling library

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera, 10 November 1994
*/

#define HUGE_VAL 1.797693e308				/* huge value */
#define M_LN2	 .69314718055994530943		/* The natural logarithm of 2 */
#define M_LOG2E 1.44269504088896338700		/* The base-2 logarithm of e */
#define M_LOG10E .43429448190325182765		/* The base-10 logarithm of e */
#define M_PI	3.14159265358979323846		/*  */
#define M_2PI	6.28318530717958647693		/* 2 */
#define M_PI_2	1.57079632679489661923		/* /2 */
#define M_PI_4	0.78539816339744830962		/* /4 */
#define M_1_PI	0.31830988618379067154		/* 1/ */
#define M_2_PI	0.63661977236758134308		/* 2/ */
#define M_SQRT2 1.41421356237309514556		/* positive square root of 2 */

double acos(double);
double asin(double);
double atan(double);
double atan2(double, double);
double ceil(double);
double cos(double);
double cosh(double);
double exp(double);
double fabs(double);
double floor(double);
double fmod(double, double);
double frexp(double, int *);
double ldexp(double, int);
double log(double);
double log10(double);
double modf(double, double *);
double pow(double, double);
double sin(double);
double sinh(double);
double sqrt(double);
double tan(double);
double tanh(double);

int isNaN(double x);

#endif _SYSLIB_MATH_H
