#ifndef _SYSLIB_STR_H
#define _SYSLIB_STR_H

/*
	Standard header file for PROGS SMS C library

	string handling library

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera, 6 November 1994
*/

#include <err.h>
#include <mem.h>
#include <time.h>

#ifndef strlen
int strlen(char *string);
#endif
Error STRLength(char *string, int *length);
Error STRCopy(char *from, char *to);
Error STRCopySafe(char *from, char *to, Size buffsize);
Error STRAppend(char *string, char *to);
Error STRAppendSafe(char *string, char *to, Size buffsize);
Error STRCompareCD(char *string, char *with, int *result);
Error STRCompareCI(char *string, char *with, int *result);
int STRSameCD(char *string1, char *string2);
#define STRSameCD(s1,s2) MEMSame(strlen(s1)+1,s1,s2)
int STRSameCI(char *string1, char *string2);
Error STRSearchCD(char *string, char *in, char **at);
Error STRSearchCI(char *string, char *in, char **at);
Error STRUpper(char *string);
Error STRLower(char *string);
Error STRBreak(char *string, char *(*list[]));
Error STRDuplicate(char *string, char **base);
#define STRDuplicate(s,b) MEMDuplicate(strlen(s)+1,s,b)

Error STRFormatGet(char *string, int *count, char *format, ...);
Error STRFormatPut(char *string, char *format, ...);
Error STRFormatPutSafe(char *string, Size buffsize, char *format, ...);

Error STRTime(Time time, char *string);
Error STRDay(Time time, char *string);

#endif _SYSLIB_STR_H
