#ifndef _SYSLIB_TIME_H
#define _SYSLIB_TIME_H

/*
	Standard header file for PROGS SMS C library

	time handling library

	(c) PROGS, Professional & Graphical Software
	written by Joachim Van der Auwera, 17 November 1994
*/

typedef unsigned long Time;

#include <str.h>

typedef struct {
	int year, month, day;
	int hour, minutes, seconds;
	} SplitTime;

Error TIMEGet(Time *time);
Error TIMESet(Time time);
Error TIMEAdjust(int diff);

Error TIMESplit(Time time, SplitTime *res);
Error TIMEBuild(SplitTime *time, Time *res);

Error TIMEString(Time time, char *string);
#define TIMEString(t,s) STRTime(t,s)
Error TIMEDay(Time time, char *string);
#define TIMEDay(t,s) STRDay(t,s)

#endif _SYSLIB_TIME_H
